﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebDataGrid1.DataSource = GetTable();
    }

    static DataTable GetTable()
    {
        // Here we create a DataTable with four columns.
        DataTable table = new DataTable();
        table.Columns.Add("bool", typeof(bool));
        table.Columns.Add("Drug", typeof(string));
        table.Columns.Add("Patient", typeof(string));
        table.Columns.Add("Date", typeof(DateTime));

        // Here we add five DataRows.
        table.Rows.Add(true, "Indocin", "David", DateTime.Now);
        table.Rows.Add(false, "Enebrel", "Sam", DateTime.Now);
        table.Rows.Add(true, "Hydralazine", "Christoff", DateTime.Now);
        table.Rows.Add(true, "Combivent", "Janet", DateTime.Now);
        table.Rows.Add(false, "Dilantin", "Melanie", DateTime.Now);
        return table;
    }
}